%define     debug %nil
%define     debug_package %nil
%define     rustver 1.85

Name:		uv
Version:	0.6.4
Release:	1
Summary:	An extremely fast Python package and project manager
URL:		https://docs.astral.sh/uv
Source0:	https://github.com/astral-sh/uv/archive/%{version}/%{name}-%{version}.tar.gz
License:	ASL 2.0 OR MIT
Group:		Development/Other
%if %{mdvver} > 201610
BuildRequires:	rust
BuildRequires:	cargo
%endif
BuildRequires:  git-core
BuildRequires:  curl
BuildRequires:	tar
BuildRequires:	pkgconfig(openssl3.3)
#BuildRequires:	pkgconfig(atk) >= 2.14
#BuildRequires:	pkgconfig(pango) >= 1.36
#BuildRequires:	pkgconfig(glib-2.0)
#BuildRequires:	pkgconfig(gdk-pixbuf-2.0) >= 2.30
#BuildRequires:	pkgconfig(gdk-3.0) >= 3.14
#BuildRequires:	pkgconfig(cairo) >= 1.12
#BuildRequires:	pkgconfig(libsoup-2.4)
#BuildRequires:	pkgconfig(webkit2gtk-4.0) >= 2.8

%description
An extremely fast Python package and project manager, written
in Rust

%prep
%setup -q

%if %{mdvver} <= 201610
curl --proto '=https' --tlsv1.2 -sSf https://sh.rustup.rs |\
        sh -s -- -y --profile default --default-toolchain %{rustver}
%endif


%build
%if %{mdvver} <= 201610
source "$HOME/.cargo/env"
%endif

#define ver %( echo %{version} | cut -d. -f1-2 )

#rustup toolchain install %{ver}-%{_arch}-unknown-linux-gnu

cargo build --release 

%install
install -Dm0755 target/release/%{name} %{buildroot}%{_bindir}/%{name}

%files
%doc README.md LICENSE* docs
%{_bindir}/%{name}
